[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ValEdit' (#lcl)

# TValueListStrings.Assign

Stores properties from Source in the current class instance.

## Declaration

Source position: valedit.pas line 95

`public procedure TValueListStrings.Assign(`
`Source: TPersistent`
`); override;`

## Arguments

`Source` |  | Persistent object with properties copied into the current class instance.

## Description

Assign is an overridden procedure used to store properties from Source in the current class instance.

Assign uses the TValueListEditor which own the class instance to invalidate cached rows in the control. Assign calls Clear to remove any existing values and to prevent an exception when sorting values. Assign calls the inherited method using Source as an argument. If Source is a TValueListStrings instance, its internal item definitions are stored in the current class instance.

## See also

TValueListEditor |  | A visual grid control for editing Key-Value pairs.
TValueListStrings |  | Stores values and item definitions used in TValueListEditor.
TStrings.Assign